import React, { useState } from 'react'
import { Button, Cascader, Checkbox, DatePicker, Form, Input, InputNumber, Radio, Select, Space, Switch, Table, Textarea, TreeSelect, Upload } from 'tdesign-react'
import { useNavigate } from 'react-router-dom'
import MeasurementStep from '../../components/Steps/MeasurementStep'

{/* **************** */ }
const { FormItem } = Form;

const INITIAL_DATA = {
  place:"xxx咨询中心",
  name: '张三',
  sex:"男",
  age:"20",
  marital:"未婚",
  job:"计算机工程师",
  date:"2023-12-07",
  evaluation:"本次心理测评旨在对被评估人张三的心理状态进行全面评估",
  intelligence:"在韦氏智力量表第四版中，被评估者张三的智商为109，属于正常水平。",
  personality:"人格特质测验中，张三的人格特质主要表现为文化水平高，情感起伏不大，自尊心和补偿机制较弱，适应性较强。但不足之处是情绪管控能力较差，有时容易陷入沮丧的情绪中难以自拔。",
  emotion:"在自我评估问卷（SCL-90）中，张三的得分情况如下：躯体化症状、强迫症状、敌对性、焦虑、抑郁、恐怖症状、偏执症状、精神病性症状、睡眠障碍、社交恐惧等方面暂无显著问题。",
  suggestion:"针对张三的情绪管控障碍，我们建议他适当的增加一些身体锻炼、深度呼吸等可以改善情绪的生理方法，并试着寻求心理咨询师的帮助，调整思维方式，改善心理状态，提高心理韧性。对于张三的智力水平来说，他可以在日常中增加些实践学习，例如阅读、学习新技能等，以提高个人的智力水平。 对于张三的人格特质，他可以更多的体验自己的情绪，让自己的情绪得到宣泄和释放，进而建立更健康的情感管理模式。",
  conclusion:"张三的评估结果表明，他在智力和人格特质方面表现良好，在情绪方面存在一定的压力和困难。通过稍加调整和耐心的努力，张三可以获得更好的心理状态，提高自身的心理健康水平。"
};


export default function Result() {
  const navigate = useNavigate()

  const [formDisabled,setFormDisabled] = useState(true)

  return (
    <>
      <div style={{ padding: '10px 20px' }}>
        <MeasurementStep current={2} />

        {/* **************** */}
        <Space direction="vertical" style={{ display: "flex", justifyContent: "center", alignItems: "center" }}>
          <div style={{ height: "30px" }}></div>
          <Form resetType="initial" disabled={formDisabled} colon >
            <h2 style={{textAlign:"center"}}>被评估人信息</h2>
            <div style={{ height: "20px" }}></div>

            <FormItem label="地点" name="place" initialData={INITIAL_DATA.place} style={{display:"block",width:"50%"}}>
              <Input />
            </FormItem>
            <FormItem label="姓名" name="name" initialData={INITIAL_DATA.name} style={{display:"inline-block"}}>
              <Input />
            </FormItem>
            <FormItem label="性别" name="sex" initialData={INITIAL_DATA.sex} style={{display:"inline-block"}}>
              <Input />
            </FormItem>
            <div style={{display:"block"}}></div>
            <FormItem label="年龄" name="age" initialData={INITIAL_DATA.age} style={{display:"inline-block"}}>
              <Input />
            </FormItem>
            <FormItem label="婚姻状况" name="marital" initialData={INITIAL_DATA.marital} style={{display:"inline-block"}}>
              <Input />
            </FormItem>
            <FormItem label="职业" name="job" initialData={INITIAL_DATA.job}>
              <Input />
            </FormItem>
            <FormItem label="测评目的" name="evaluation" initialData={INITIAL_DATA.evaluation} style={{width:"1000px"}}>
              <Textarea autosize />
            </FormItem>

            <div style={{ height: "20px" }}></div>
            <div style={{textAlign:"center"}}>测评结果</div>
            <div style={{ height: "20px" }}></div>

            <FormItem label="智力水平" name="intelligence" initialData={INITIAL_DATA.intelligence}>
              <Textarea autosize/>
            </FormItem>
            <FormItem label="人格状态" name="personality" initialData={INITIAL_DATA.personality}>
              <Textarea autosize/>
            </FormItem>
            <FormItem label="情绪状态" name="emotion" initialData={INITIAL_DATA.emotion}>
              <Textarea autosize/>
            </FormItem>
            <FormItem label="建议措施" name="suggestion" initialData={INITIAL_DATA.suggestion}>
              <Textarea autosize/>
            </FormItem>
            <FormItem label="结论" name="conclusion" initialData={INITIAL_DATA.conclusion}>
              <Textarea autosize/>
            </FormItem>   
          </Form>
        </Space>

        {/* **************** */}

        <Button block variant="base" style={{ width: '30%', margin: '40px auto' }}
          onClick={() => {
            navigate('/starting_m', {
              replace: true
            })
          }}
        > 下一步 </Button>
      </div>
    </>
  )
}
